# Arenas

## List all arenas

Get paginated list of all arenas with optional name filtering

**GET**

/api/arenas

### Query Parameters

- `limit` integer  
  Number of arenas to return  
  Default: `20` Minimum: `1` Maximum: `100`

- `offset` integer  
  Number of arenas to skip  
  Default: `0` Minimum: `0`

- `sort` string  
  Sort field and direction

- `name` string  
  Optional name filter

### cURL example

```bash
curl -X GET "https://api.competitions.recall.network/api/arenas?limit=20&offset=0&sort=string&name=string"
```

### Response

```json
{
  "success": true,
  "arenas": [
    {}
  ],
  "pagination": {
    "total": 0,
    "limit": 0,
    "offset": 0,
    "hasMore": true
  }
}
```

## Get arena by ID

Get detailed information about a specific arena

**GET**

/api/arenas/{id}

### Path Parameters

- `id` Required string  
  Arena ID

### cURL example

```bash
curl -X GET "https://api.competitions.recall.network/api/arenas/string"
```

### Response

```json
{
  "success": true,
  "arena": {}
}
```
